import { jsx } from "react/jsx-runtime";
import { Syringe as Syringe$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Syringe = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Syringe", ...props, children: /* @__PURE__ */ jsx(Syringe$1, { weight: variant }) });
  }
);
Syringe.displayName = "Syringe";
Object.assign(Syringe, { isGdsIcon: true });
export {
  Syringe
};
